# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class PubControl

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.PubControl

All Implemented Interfaces:
  Extension

    public class PubControl

extends ExtensionPoint

Publication control tag app:control, which usually contains app:draft. The main reason for having this as a separate object is mostly so that it can be used as an extension point. The draft flag is usually set using `BaseEntry.setDraft(Boolean)`, which will create a PubControl object when necessary.

Nested Class Summary
`class` `PubControl.AtomHandler` `<app:control>` parser.

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`PubControl()` Creates an empty app:control tag.

Method Summary
`void` `generateAtom(com.google.gdata.util.common.xml.XmlWriter w, ExtensionProfile extProfile)` Generates the atom representation for this tag.
`boolean` `isDraft()` Checks the value of the app:draft tag.
`void` `setDraft(java.lang.Boolean draft)` Sets the value of the app:draft tag.

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, declareExtensions, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getHandler, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PubControl

    public PubControl()

  Creates an empty app:control tag.

Method Detail

### isDraft

    public boolean isDraft()

  Checks the value of the app:draft tag.

  Returns:
    true if the entry is a draft (false by default as per the atom publishing protoc spec)

### setDraft

    public void setDraft(java.lang.Boolean draft)

  Sets the value of the app:draft tag.

  Parameters:
    `draft` - sets the draft status, null to unset

### generateAtom

    public void generateAtom(com.google.gdata.util.common.xml.XmlWriter w,
                             ExtensionProfile extProfile)
                      throws java.io.IOException

  Generates the atom representation for this tag.

  Throws:
    `java.io.IOException`